<?php
/**
 * Initialize the options before anything else.
 */
add_action( 'admin_init', 'custom_theme_options', 1 );

/**
 * Build the custom settings & update OptionTree.
 */
function custom_theme_options() {
  /**
   * Get a copy of the saved settings array. 
   */
  $saved_settings = get_option( 'option_tree_settings', array() );
  
  /**
   * Custom settings array that will eventually be 
   * passes to the OptionTree Settings API Class.
   */
  $custom_settings = array( 
    'contextual_help' => array( 
      'sidebar'       => ''
    ),
    'sections'        => array( 
      array(
        'id'          => 'general',
        'title'       => 'همگانی'
      ),
      array(
        'id'          => 'social',
        'title'       => 'شبکه‌های اجتماعی'
      ),
       array(
        'id'          => 'news-slider',
        'title'       => 'اخبار ویژه'
      ),
       array(
        'id'          => 'img-slider',
        'title'       => 'اسلایدر سربرگ'
      ),
       array(
        'id'          => 'news-tickers1',
        'title'       => 'اسلایدر متنی'
      ),
      array(
        'id'          => 'aboutme',
        'title'       => 'درباره من'
      ),
      array(
        'id'          => 'ads',
        'title'       => 'تبلیغات'
      ),
      array(
        'id'          => 'contactme',
        'title'       => 'تماس باما'
      ),
      array(
        'id'          => 'footer',
        'title'       => 'پاورقی'
      ),
      array(
			'id'          => 'css_js',
			'title'       => 'Css / Js'
      )

),
    'settings'        => array( 
      array(
        'id'          => 'favicon',
        'label'       => 'فاویکون',
        'desc'        => 'پیشنهاد می‌شود اندازه‌ی فاویکون 16px × 16px باشد.',
        'std'         => get_stylesheet_directory_uri().'/images/favicon.ico',
        'type'        => 'upload',
        'section'     => 'general'
      ),
      array(
        'id'          => 'logo-top',
        'label'       => 'لوگو',
        'desc'        => 'پیشنهاد می‌شود اندازه‌ی لوگو 192px × 33px باشد.',
        'std'         => get_stylesheet_directory_uri().'/images/logo.png',
        'type'        => 'upload',
        'section'     => 'general'
      ),
	  array(
            'id'      => 'feed_uri',
            'label'   => 'شناسه فیدبرنر',
            'desc'    => 'شناسه نشانی فیدبرنر خود را وارد کنید',
            'std'     => '',
			'section' => 'general',
            'type'    => 'text',
            'class'   => '',
            'choices' => array()
      ),
    array(
        'id'      => 'vip-posts',
        'label'   => 'نوشته‌های ویژه',
        'desc'    => 'دسته‌بندی نوشته‌های ویژه را گزینش کنید',
        'section' => 'general',
        'type'    => 'category-select',
        'choices' => array()
          ),
      array(
        'id'          => 'vip-posts-count',
        'label'       => 'شمار نوشته‌های ویژه',
        'desc'        => 'شمار نوشته‌های ویژه را برای نمایش وارد نمایید',
        'type'        => 'text',
        'std'     => '5',
        'section'     => 'general'
      ),
// news-slider
      array(
        'id'          => 'news-slider-speed',
        'label'       => 'سرعت نمایش',
        'desc'        => 'سرعت نمایش برحسب میلی ثانیه را وارد کنید.',
        'type'        => 'text',
        'std'     => '5000',
        'section'     => 'news-slider'
      ),
    array(
        'id'          => 'news_slider_list',
        'label'       => 'اخبار ویژه',
        'desc'        => 'فهرست مربوط به اسلایدر اخبار شما در خانه ( پیشنهاد : 3 تا 6 اسلاید )',
        'type'        => 'list-item',
        'section'     => 'news-slider',
        'choices'     => array(),
        'settings'    => array(
      array(
            'id'      => 'p-slider',
            'label'   => 'متن خبر',
            'desc'    => 'متن خبر را وارد کنید. پیشنهاد: 25 کلمه',
            'std'     => '#',
            'type'    => 'textarea',
            'choices' => array()
          ),
      array(
            'id'      => 'new-slider_url',
            'label'   => 'پیوند اسلاید',
            'desc'    => 'نشانی را با //:http وارد نمایید.',
            'std'     => '#',
            'type'    => 'text',
            'choices' => array()
          )
        )
      ),
// img-slider
      array(
        'id'          => 'img-slider-speed',
        'label'       => 'سرعت نمایش',
        'desc'        => 'سرعت نمایش برحسب میلی ثانیه را وارد کنید.',
        'type'        => 'text',
        'std'     => '5000',
        'section'     => 'img-slider'
      ),
    array(
        'id'          => 'img_slider_list',
        'label'       => 'اسلایدر تصاویر',
        'desc'        => 'لیست اسلایدها را ایجاد کنید. پیشنهاد: 3 مورد',
        'type'        => 'list-item',
        'section'     => 'img-slider',
        'choices'     => array(),
        'settings'    => array(
      array(
            'id'      => 'img_slider_img',
            'label'   => 'تصویر اسلاید',
            'desc'    => 'پیشنهاد می‌شود اندازه‌ی بنر 1400px × 500px باشد.',
            'type'    => 'upload',
            'choices' => array()
          ),
      array(
            'id'      => 'img-slider_url',
            'label'   => 'پیوند اسلاید',
            'desc'    => 'نشانی را با //:http وارد نمایید.',
            'std'     => '#',
            'type'    => 'text',
            'choices' => array()
          )
        )
      ),
// news-tickers1
    array(
        'id'          => 'news_tickers',
        'label'       => 'اخبار متحرک (نیوز تیکر)',
        'desc'        => 'فهرست مربوط به اخبار متحرک را ایجاد کنید. ( پیشنهاد : 3 تا 6 اسلاید )',
        'type'        => 'list-item',
        'section'     => 'news-tickers1',
        'choices'     => array(),
        'settings'    => array(
      array(
            'id'      => 'news_tickers_url',
            'label'   => 'پیوند تیکر',
            'desc'    => 'نشانی را با //:http وارد نمایید.',
            'std'     => '#',
            'type'    => 'text',
            'choices' => array()
          )
        )
      ),
// contactme
	  array(
            'id'      => 'form_on_off',
            'label'   => 'فعال کردن فرم تماس',
            'desc'    => 'نمایش یا پنهان کردن فرم تماس در برگه',
            'std'     => 'off',
            'type'    => 'on-off',
			'section'     => 'contactme',
            'choices' => array()
      ),
      array(
        'id'          => 'contactme_tell',
        'label'       => 'شماره تلفن',
        'desc'        => 'شماره تلفن را وارد کنید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'contactme'
      ),
      array(
        'id'          => 'contactme_email',
        'label'       => 'آدرس ایمیل',
        'desc'        => 'آدرس ایمیل را وارد کنید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'contactme'
      ),

// social
      array(
        'id'          => 'social-facebook',
        'label'       => 'فیس بوک',
        'desc'        => 'لینک صفحه فیس بوک سایت را به همراه http:// وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'social'
      ),
      array(
        'id'          => 'social-gplus',
        'label'       => 'گوگل پلاس',
        'desc'        => 'لینک صفحه گوگل پلاس سایت را به همراه http:// وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'social'
      ),
      array(
        'id'          => 'social-twitter',
        'label'       => 'توییتر',
        'desc'        => 'لینک صفحه توییتر سایت را به همراه http:// وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'social'
      ),
      array(
        'id'          => 'social-linkedin',
        'label'       => 'لینکدین',
        'desc'        => 'لینک صفحه لینکدین سایت را به همراه http:// وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'social'
      ),
      array(
        'id'          => 'social-instagram',
        'label'       => 'اینستاگرام',
        'desc'        => 'لینک صفحه اینستاگرام سایت را به همراه http:// وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'social'
      ),
      array(
        'id'          => 'social-telegram',
        'label'       => 'تلگرام',
        'desc'        => 'لینک کانال تلگرام سایت را به همراه http:// وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'social'
      ),
// aboutme
      array(
        'id'          => 'aboutme_title',
        'label'       => 'عنوان بخش',
        'desc'        => 'عنوان بخش درباره من قابل نمایش در ستون چپ را وارد کنید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'aboutme'
      ),
      array(
        'id'          => 'aboutme_desc',
        'label'       => 'توضیحات',
        'desc'        => 'کمی توضیحات درباره فعالیت تان وارد کنید.',
        'type'        => 'textarea',
        'std'     => '',
        'section'     => 'aboutme'
      ),
      array(
        'id'          => 'aboutme_url',
        'label'       => 'لینک صفحه درباره ما',
        'desc'        => 'لینک صفحه دباره ما به همراه http:// وارد کنید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'aboutme'
      ),
// ads text
	  array(
			'id'          => 'banner_left_ads_list',
			'label'       => 'تبلیغات بنری',
			'desc'        => 'فهرست تبلیغات بنری شما در نوارکناری ( پیشنهاد : 2 تا 4 بنر )',
			'type'        => 'list-item',
			'section'     => 'ads',
			'choices'     => array(),
			'settings'    => array(
	  array(
            'id'      => 'banner_left_image',
            'label'   => 'تصویر بنر',
            'desc'    => 'پیشنهاد می‌شود اندازه‌ی بنر 120px × 240px باشد.',
            'std'     => get_stylesheet_directory_uri().'/images/wordpress-hosting.gif',
            'type'    => 'upload',
            'choices' => array()
      ),
      array(
            'id'      => 'banner_left_url',
            'label'   => 'پیوند بنر',
            'desc'    => 'نشانی را با //:http وارد نمایید.',
            'std'     => '#',
            'type'    => 'text',
            'choices' => array()
          )
        )
      ),

	  array(
			'id'          => 'text_ads_list',
			'label'       => 'تبلیغات متنی',
			'desc'        => 'فهرست تبلیغات متنی شما در نوارکناری چپ',
			'type'        => 'list-item',
			'section'     => 'ads',
			'choices'     => array(),
			'settings'    => array(
	  array(
            'id'      => 'text_ads_url',
            'label'   => 'پیوند تبلیغ',
            'desc'    => 'نشانی را با //:http وارد نمایید.',
            'std'     => '#',
            'type'    => 'text',
            'choices' => array()
          )
        )
      ),
// footer
      array(
        'id'          => 'footer-copyright',
        'label'       => 'کپی رایت',
        'desc'        => 'متن کپی رایت را وارد نمایید.',
        'type'        => 'text',
        'std'     => '',
        'section'     => 'footer'
      ),
// Css and Js
      array(
			'id'          => 'css_customize',
			'label'       => 'سفارشی کردن سی اس اس',
			'desc'        => 'شخصی سازی‌های خود را در اینجا قرار دهید',
			'type'        => 'css',
			'section'     => 'css_js'
      ),
      array(
			'id'          => 'js_customize',
			'label'       => 'سفارشی کردن جاوا اسکریپت',
			'desc'        => 'شخصی سازی‌های خود را در اینجا قرار دهید',
			'type'        => 'javascript',
			'section'     => 'css_js'
      )
	)
  );
  
  /* allow settings to be filtered before saving */
  $custom_settings = apply_filters( 'option_tree_settings_args', $custom_settings );
  
  /* settings are not the same update the DB */
  if ( $saved_settings !== $custom_settings ) {
    update_option( 'option_tree_settings', $custom_settings ); 
  }
  
}